Back

SolaHyBeam 3000

  • SolaHyBeam 3000 firmware versions 1.4.2 and later are not backwards compatible. After you update a fixture to firmware version 1.4.2 or later, you will be unable to upload firmware versions 1.3.5 or earlier to that fixture. For assistance, contact ETC Technical Services at etcconnect.com/contactETC.